%global momorel 1
%global samba_version 3.5.10
%global tdb_version 1.2.1
%global talloc_version 2.0.1
%global samba_source source3

Summary: The Samba Suite of programs
Name: samba
Version: %{samba_version}
Release: %{momorel}m%{?dist}
License: GPLv3+ and LGPLv3+
Group: System Environment/Daemons
URL: http://www.samba.org/

#TAG: change for non-pre
#Source: http://www.samba.org/samba/ftp/rc/%%{name}-%%{version}rc3.tar.gz
#Source: ftp://us3.samba.org/pub/samba/stable/%%{name}-%%{version}.tar.gz
Source: http://us6.samba.org/samba/ftp/stable/%{name}-%{version}.tar.gz
NoSource: 0

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: samba.sysconfig
Source5: smb.init
Source6: samba.pamd
Source7: smbprint
Source8: winbind.init
Source9: smb.conf.default
Source10: nmb.init
Source11: pam_winbind.conf

# Don't depend on Net::LDAP
Source999: filter-requires-samba.sh

# upstream patches.  Applied first so that they'll break our patches rather
# than the other way around
# (none right now)

# generic patches
Patch102: samba-3.2.0pre1-pipedir.patch
# The passwd part has been applied, but not the group part
Patch107: samba-3.2.0pre1-grouppwd.patch
Patch200: samba-3.4.3-inotify.patch

Requires(pre): samba-common = %{version}-%{release}
Requires: pam >= 0:0.64
Requires: logrotate >= 0:3.4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): chkconfig, initscripts
Requires(preun): chkconfig, initscripts
BuildRequires: pam-devel
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: libacl-devel
BuildRequires: krb5-devel
BuildRequires: openssl-devel
BuildRequires: cups-devel
BuildRequires: ctdb-devel
BuildRequires: autoconf
BuildRequires: openldap >= 2.4.0
BuildRequires: libtalloc-devel
BuildRequires: libtdb-devel
BuildRequires: libunwind-devel >= 0.99

Obsoletes: libtalloc < %{talloc_version}
Obsoletes: libtalloc-devel < %{talloc_version}
Obsoletes: libtdb < %{tdb_version}
Obsoletes: libtdb-devel < %{tdb_version}
Obsoletes: tdb-tools < %{tdb_version}

# Working around perl dependency problem from docs
%define __perl_requires %{SOURCE999}

%description

Samba is the suite of programs by which a lot of PC-related machines
share files, printers, and other information (such as lists of
available files and printers). The Windows NT, OS/2, and Linux
operating systems support this natively, and add-on packages can
enable the same thing for DOS, Windows, VMS, UNIX of all kinds, MVS,
and more. This package provides an SMB/CIFS server that can be used to
provide network services to SMB/CIFS clients.
Samba uses NetBIOS over TCP/IP (NetBT) protocols and does NOT
need the NetBEUI (Microsoft Raw NetBIOS frame) protocol.

%package client
Summary: Samba client programs
Group: Applications/System
Requires: samba-common = %{version}-%{release}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

%package common
Summary: Files used by both Samba servers and clients
Requires: libtdb >= %{tdb_version}
Requires: libtalloc >= %{talloc_version}
Group: Applications/System
Requires(pre): shadow-utils
Requires(post): chkconfig, initscripts, coreutils
Requires(preun): chkconfig, initscripts

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package winbind
Summary: Samba winbind
Group: Applications/System
Requires: samba-common = %{version}-%{release}
Requires(pre): shadow-utils
Requires(post): chkconfig, initscripts, coreutils
Requires(preun): chkconfig, initscripts

%description winbind
The samba-winbind package provides the winbind daemon, a NSS library, a PAM
module and some client tools. Winbind enables Linux to be a full member in
Windows domains and to use Windows user and group accounts on Linux.

%package winbind-clients
Summary: Samba winbind clients
Group: Applications/System

%description winbind-clients
The samba-winbind-clients package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon

%package winbind-devel
Summary: Developer tools for the winbind library
Group: Development/Libraries
Requires: samba-winbind = %{version}-%{release}

%description winbind-devel
The samba-winbind package provides developer tools for the wbclient library.

%package swat
Summary: The Samba SMB server Web configuration program
Group: Applications/System
Requires: samba = %{version}-%{release}, xinetd

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.

%package doc
Summary: Documentation for the Samba suite
Group: Documentation
Requires: samba-common = %{version}-%{release}

%description doc
The samba-doc package includes all the non-manpage documentation for the
Samba suite.

%package domainjoin-gui
Summary: Domainjoin GUI
Group: Applications/System
Requires: samba-common = %{version}-%{release}, gtk2

%description domainjoin-gui
The samba-domainjoin-gui package includes a domainjoin gtk application.

%package -n libsmbclient
Summary: The SMB client library
Group: Applications/System

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Group: Development/Libraries
Requires: libsmbclient = %{version}-%{release}

%description -n libsmbclient-devel
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.

%prep
# TAG: change for non-pre
#%setup -q -n samba-3.0.25rc3
%setup -q

# copy Red Hat specific scripts
mkdir packaging/Momonga
cp packaging/RHEL/setup/smbusers packaging/Momonga/
cp %{SOURCE5} packaging/Momonga/
cp %{SOURCE6} packaging/Momonga/
cp %{SOURCE7} packaging/Momonga/
cp %{SOURCE8} packaging/Momonga/winbind.init
cp %{SOURCE9} packaging/Momonga/
cp %{SOURCE10} packaging/Momonga/
cp %{SOURCE11} packaging/Momonga/

# Upstream patches
#(none)
# generic patches
%patch102 -p1 -b .pipedir
%patch107 -p1 -b .grouppwd
%patch200 -p0 -b .inotify

mv %{samba_source}/VERSION %{samba_source}/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < %{samba_source}/VERSION.orig > %{samba_source}/VERSION
cd %{samba_source}
script/mkversion.sh
cd ..

#Remove smbldap-tools, they are already packaged separately in Fedora
rm -fr examples/LDAP/smbldap-tools-*/

%build
cd %{samba_source}
sh autogen.sh
%ifarch i386 sparc
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif
%ifarch ia64
#libtoolize --copy --force     # get it to recognize IA-64
#autoheader
#autoconf
EXTRA="-D_LARGEFILE64_SOURCE"
%endif
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DLDAP_DEPRECATED" %configure \
    --with-dnsupdate \
    --with-ads \
    --with-acl-support \
    --with-automount \
    --with-dnsupdate \
    --with-libsmbclient \
    --with-libsmbsharemodes \
    --with-mmap \
    --with-pam \
    --with-pam_smbpass \
    --with-quotas \
    --with-sendfile-support \
    --with-syslog \
    --with-utmp \
    --with-vfs \
    --with-winbind \
    --without-smbwrapper \
    --with-lockdir=/var/lib/samba \
    --with-piddir=/var/run \
    --with-mandir=%{_mandir} \
    --with-privatedir=/var/lib/samba/private \
    --with-logfilebase=/var/log/samba \
    --with-libdir=%{_libdir} \
    --with-modulesdir=%{_libdir}/samba \
    --with-configdir=%{_sysconfdir}/samba \
    --with-pammodulesdir=%{_lib}/security \
    --with-swatdir=%{_datadir}/swat \
    --with-shared-modules=idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2 \
    --with-cluster-support=auto \
    --with-libtalloc=no \
    --enable-external-libtalloc=yes \
    --with-libtdb=no

make pch

make  LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{samba_version}/%{samba_source}/bin \
	%{?_smp_mflags} \
	all ../nsswitch/libnss_wins.so modules test_pam_modules test_nss_modules test_shlibs

make  LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{samba_version}/%{samba_source}/bin \
	%{?_smp_mflags} \
	-C lib/netapi/examples

make debug2html smbfilter

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/usr/{sbin,bin}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,logrotate.d,security}
mkdir -p %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}/var/lib/samba
mkdir -p %{buildroot}/var/lib/samba/private
mkdir -p %{buildroot}/var/lib/samba/winbindd_privileged
mkdir -p %{buildroot}/var/lib/samba/scripts
mkdir -p %{buildroot}/var/log/samba/old
mkdir -p %{buildroot}/var/spool/samba
mkdir -p %{buildroot}%{_datadir}/swat/using_samba
mkdir -p %{buildroot}/var/run/winbindd
mkdir -p %{buildroot}%{_libdir}/samba
mkdir -p %{buildroot}%{_libdir}/pkgconfig

cd %{samba_source}

%makeinstall \
	BINDIR=%{buildroot}%{_bindir} \
	BASEDIR=%{buildroot}%{_prefix} \
	SBINDIR=%{buildroot}%{_sbindir} \
	DATADIR=%{buildroot}%{_datadir} \
	LOCKDIR=%{buildroot}/var/lib/samba \
	PRIVATEDIR=%{buildroot}%{_sysconfdir}/samba \
	LIBDIR=%{buildroot}%{_libdir} \
	MODULESDIR=%{buildroot}%{_libdir}/samba \
	CONFIGDIR=%{buildroot}%{_sysconfdir}/samba \
	PAMMODULESDIR=%{buildroot}/%{_lib}/security \
	MANDIR=%{buildroot}%{_mandir} \
	VARDIR=%{buildroot}/var/log/samba \
	CODEPAGEDIR=%{buildroot}%{_libdir}/samba \
	SWATDIR=%{buildroot}%{_datadir}/swat \
	SAMBABOOK=%{buildroot}%{_datadir}/swat/using_samba \
	PIDDIR=%{buildroot}/var/run

cd ..

# Install other stuff
install -m644 packaging/Momonga/smb.conf.default %{buildroot}%{_sysconfdir}/samba/smb.conf
install -m755 %{samba_source}/script/mksmbpasswd.sh %{buildroot}%{_bindir}
install -m644 packaging/Momonga/smbusers %{buildroot}%{_sysconfdir}/samba/smbusers
install -m755 packaging/Momonga/smbprint %{buildroot}%{_bindir}
install -m755 packaging/Momonga/smb.init %{buildroot}%{_initscriptdir}/smb
install -m755 packaging/Momonga/nmb.init %{buildroot}%{_initscriptdir}/nmb
install -m755 packaging/Momonga/winbind.init %{buildroot}%{_initscriptdir}/winbind
install -m644 packaging/Momonga/pam_winbind.conf %{buildroot}%{_sysconfdir}/security
#ln -s ../..%{_initscriptdir}/smb  %{buildroot}%{_sbindir}/samba
install -m644 packaging/Momonga/samba.pamd %{buildroot}%{_sysconfdir}/pam.d/samba
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba
echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts
mkdir -p %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

# winbind
mkdir -p %{buildroot}%{_libdir}
install -m 755 nsswitch/libnss_winbind.so %{buildroot}/%{_lib}/libnss_winbind.so.2
ln -sf /%{_lib}/libnss_winbind.so.2  %{buildroot}%{_libdir}/libnss_winbind.so
install -m 755 nsswitch/libnss_wins.so %{buildroot}/%{_lib}/libnss_wins.so.2
ln -sf /%{_lib}/libnss_wins.so.2  %{buildroot}%{_libdir}/libnss_wins.so

# libraries {
mkdir -p %{buildroot}%{_libdir}/pkgconfig %{buildroot}%{_includedir}

# make install puts libraries in the wrong place
list="smbclient smbsharemodes netapi wbclient"
build_libdir="%{buildroot}%{_libdir}"
for i in $list; do
	install -m 644 %{samba_source}/pkgconfig/$i.pc $build_libdir/pkgconfig/ || true
done

/sbin/ldconfig -n %{buildroot}%{_libdir}/

# }

mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/swat

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/samba

install -m 755 %{samba_source}/lib/netapi/examples/bin/netdomjoin-gui %{buildroot}%{_sbindir}/netdomjoin-gui
mkdir -p %{buildroot}%{_datadir}/pixmaps/%{name}
install -m 644 %{samba_source}/lib/netapi/examples/netdomjoin-gui/samba.ico %{buildroot}%{_datadir}/pixmaps/%{name}/samba.ico
install -m 644 %{samba_source}/lib/netapi/examples/netdomjoin-gui/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}/logo.png
install -m 644 %{samba_source}/lib/netapi/examples/netdomjoin-gui/logo-small.png %{buildroot}%{_datadir}/pixmaps/%{name}/logo-small.png

rm -f %{buildroot}%{_mandir}/man1/editreg.1*
rm -f %{buildroot}%{_mandir}/man1/log2pcap.1*
rm -f %{buildroot}%{_mandir}/man1/smbsh.1*
#rm -f %{buildroot}%{_mandir}/man1/smbget.1*
rm -f %{buildroot}%{_mandir}/man5/smbgetrc.5*
rm -f %{buildroot}%{_mandir}/man1/vfstest.1*
rm -f %{buildroot}%{_mandir}/man1/testprns.1*
rm -f %{buildroot}%{_mandir}/man8/smbmount.8*
rm -f %{buildroot}%{_mandir}/man8/smbmnt.8*
rm -f %{buildroot}%{_mandir}/man8/smbumount.8*
rm -f %{buildroot}%{_mandir}/man8/{u,}mount.cifs.8*
rm -f %{buildroot}%{_mandir}/man8/{u,}cifs.upcall.8*

rm -f %{buildroot}%{_sbindir}/{u,}mount.cifs
rm -f %{buildroot}%{_sbindir}/cifs.upcall

#Rename ldb tools, as samba3 has an old copy of ldb.
mv -f %{buildroot}%{_bindir}/ldbadd %{buildroot}%{_bindir}/ldb3add
mv -f %{buildroot}%{_bindir}/ldbdel %{buildroot}%{_bindir}/ldb3del
mv -f %{buildroot}%{_bindir}/ldbmodify %{buildroot}%{_bindir}/ldb3modify
mv -f %{buildroot}%{_bindir}/ldbsearch %{buildroot}%{_bindir}/ldb3search
mv -f %{buildroot}%{_bindir}/ldbrename %{buildroot}%{_bindir}/ldb3rename
mv -f %{buildroot}%{_bindir}/ldbedit %{buildroot}%{_bindir}/ldb3edit
mv -f %{buildroot}%{_mandir}/man1/ldbadd.1 %{buildroot}%{_mandir}/man1/ldb3add.1
mv -f %{buildroot}%{_mandir}/man1/ldbdel.1 %{buildroot}%{_mandir}/man1/ldb3del.1
mv -f %{buildroot}%{_mandir}/man1/ldbedit.1 %{buildroot}%{_mandir}/man1/ldb3edit.1
mv -f %{buildroot}%{_mandir}/man1/ldbmodify.1 %{buildroot}%{_mandir}/man1/ldb3modify.1
mv -f %{buildroot}%{_mandir}/man1/ldbsearch.1 %{buildroot}%{_mandir}/man1/ldb3search.1
mv -f %{buildroot}%{_mandir}/man1/ldbrename.1 %{buildroot}%{_mandir}/man1/ldb3rename.1

rm -f %{buildroot}%{_bindir}/tdbbackup
rm -f %{buildroot}%{_bindir}/tdbdump
rm -f %{buildroot}%{_bindir}/tdbtool
rm -f %{buildroot}%{_mandir}/man8/tdbbackup.8*
rm -f %{buildroot}%{_mandir}/man8/tdbdump.8*
rm -f %{buildroot}%{_mandir}/man8/tdbtool.8*

%clean
rm -rf %{buildroot}

#%pre

%post
/sbin/chkconfig --add smb
/sbin/chkconfig --add nmb
if [ "$1" -ge "1" ]; then
    /sbin/service smb condrestart >/dev/null 2>&1 || :
    /sbin/service nmb condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ $1 = 0 ] ; then
    /sbin/service smb stop >/dev/null 2>&1 || :
    /sbin/service nmb stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del smb
    /sbin/chkconfig --del nmb
fi
exit 0

#%postun


%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post winbind
/sbin/chkconfig --add winbind

if [ "$1" -ge "1" ]; then
    /sbin/service winbind condrestart >/dev/null 2>&1 || :
fi

%post common
/sbin/ldconfig

%preun winbind
if [ $1 = 0 ] ; then
    /sbin/service winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0

%postun common
/sbin/ldconfig


%post -n libsmbclient
/sbin/ldconfig

%postun -n libsmbclient
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbstatus
%{_bindir}/eventlogadm
%config(noreplace) %{_sysconfdir}/samba/smbusers
%attr(755,root,root) %{_initscriptdir}/smb
%attr(755,root,root) %{_initscriptdir}/nmb
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/vfs_*.8*
%{_libdir}/samba/vfs
%{_libdir}/samba/auth
%{_libdir}/samba/charset
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%{_sysconfdir}/openldap/schema/samba.schema

%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
%doc examples/printing

%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/findsmb
%{_bindir}/smbget
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/sharesec
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man1/smbget.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man8/smbspool.8*

%files common
%defattr(-,root,root)
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so
%dir %{_libdir}/samba
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
%{_libdir}/libnetapi.so
%attr(755,root,root) %{_libdir}/libnetapi.so.*
%{_includedir}/netapi.h
%{_libdir}/pkgconfig/netapi.pc
%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/smbpasswd
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_bindir}/smbcontrol
%{_bindir}/ldb3add
%{_bindir}/ldb3del
%{_bindir}/ldb3edit
%{_bindir}/ldb3modify
%{_bindir}/ldb3search
%{_bindir}/ldb3rename
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%dir /var/lib/samba/scripts
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%dir %{_sysconfdir}/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%{_mandir}/man1/ldb3add.1*
%{_mandir}/man1/ldb3del.1*
%{_mandir}/man1/ldb3edit.1*
%{_mandir}/man1/ldb3modify.1*
%{_mandir}/man1/ldb3search.1*
%{_mandir}/man1/ldb3rename.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbcontrol.1*
#%{_mandir}/man1/vfstest.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/net.8*
%{_datadir}/locale/*/LC_MESSAGES/net.mo

%doc README COPYING Manifest
%doc WHATSNEW.txt Roadmap

%files winbind
%defattr(-,root,root)
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_sbindir}/winbindd
%dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_initscriptdir}/winbind
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*
%{_mandir}/man7/winbind_krb5_locator.7*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*
%{_datadir}/locale/*/LC_MESSAGES/pam_winbind.mo

%files winbind-clients
%defattr(-,root,root)
%{_libdir}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
%{_libdir}/libnss_wins.so
/%{_lib}/libnss_wins.so.2
/%{_lib}/security/pam_winbind.so
%attr(755,root,root) %{_libdir}/libwbclient.so.*

%files winbind-devel
%defattr(-,root,root)
%{_includedir}/wbclient.h
%{_includedir}/wbc_async.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc

%files doc
%defattr(-,root,root)
%doc docs/Samba3-Developers-Guide.pdf docs/Samba3-ByExample.pdf
%doc docs/Samba3-HOWTO.pdf
%doc docs/htmldocs

%files -n libsmbclient
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%attr(755,root,root) %{_libdir}/libsmbsharemodes.so.*

%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/libsmbclient.h
%{_includedir}/smb_share_modes.h
%{_libdir}/libsmbclient.so
%{_libdir}/libsmbsharemodes.so
%{_libdir}/pkgconfig/smbclient.pc
%{_libdir}/pkgconfig/smbsharemodes.pc
%{_mandir}/man7/libsmbclient.7*

%files domainjoin-gui
%defattr(-,root,root)
%{_sbindir}/netdomjoin-gui
%dir %{_datadir}/pixmaps/samba
%{_datadir}/pixmaps/samba/samba.ico
%{_datadir}/pixmaps/samba/logo.png
%{_datadir}/pixmaps/samba/logo-small.png

%changelog
* Wed Jul 27 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.10-1m)
- [SECURITY] CVE-2011-2522 CVE-2011-2694
- update to 3.5.10

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.9-1m)
- update to 3.5.9

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.8-2m)
- rebuild for new GCC 4.6

* Mon Mar  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to 3.5.8

* Tue Mar  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- [SECURITY] CVE-2011-0719
- update to 3.5.7

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.6-2m)
- rebuild for new GCC 4.5

* Sat Oct  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to 3.5.6

* Fri Sep 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- [SECURITY] CVE-2010-3069
- update to 3.5.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.4-3m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.4-2m)
- separate out cifs-utils to cifs-utils.spec

* Thu Jun 24 2010 MARITA Koichi <pulsar@momonga-linux.org>
- (3.5.4-1m)
- update to 3.5.4

* Thu May 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.3-1m)
- update to 3.5.3

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.2-2m)
- rebuild against readline6

* Wed Apr  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.2-1m)
- [SECURITY] CVE-2010-1635 CVE-2010-1642
- update to 3.5.2

* Wed Mar 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.1-1m)
- [SECURITY] CVE-2010-0728
- update to 3.5.1

* Tue Mar  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.0-1m)
- update to 3.5.0
- sync with Fedora devel

* Fri Feb 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.6-1m)
- [SECURITY] CVE-2010-0926
- update to 3.4.6

* Fri Jan 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.5-2m)
- [SECURITY] CVE-2009-3297 CVE-2010-0547 CVE-2010-0787
- import security patch from F-12
- import #541267 patch (fix crash in pdbedit) from F-12

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.5-1m)
- update to 3.4.5

* Sun Jan 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.4-1m)
- update to 3.4.4

* Mon Nov 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.3-1m)
- use external talloc and tdb
- update to 3.4.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.3.9-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.9-1m)
- updateto 3.3.9

* Sat Oct  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.8-1m)
- [SECURITY] CVE-2009-2813 CVE-2009-2948 CVE-2009-2906
- update to 3.3.8

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.7-1m)
- update to 3.3.7

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-1m)
- [SECURITY] CVE-2009-1886 CVE-2009-1888
- update to 3.3.6

* Thu Jun 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-2m)
- set tdb_rel and talloc_rel
- DO NOT DECREASE Release without Version upgrade

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.5-1m)
- update to 3.3.5

* Tue May 19 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.4-2m)
- rebuild against libunwind-0.99

* Sat May 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.4-1m)
- update to 3.3.4
- import patches from Fedora devel

* Sat Feb  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.3.0-1m)
- update to 3.3.0
-- update Source1,5,8,999 from Rawhide (3.3.0-0.25)
-- import an upstream patch (Patch201)
- License: GPLv3+ and LGPLv3+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.7-2m)
- rebuild against rpm-4.6

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.7-1m)
- [SECURITY] CVE-2009-0022
- update to 3.2.7

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.5-1m)
- [SECURITY] CVE-2008-4314
- update to 3.2.5

* Fri Sep 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Sat Sep 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3

* Sun Aug 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2
- cifs.spnego was renamed to cifs.upcall

* Wed Aug  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.0-2m)
- modify Requires

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0 and sync with Fedora devel

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.30-1m)
- [SECURITY] CVE-2008-1105
- update to 3.0.30

* Sun May 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.29-1m)
- update to 3.0.29
- delete unused patch

* Sun Apr 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.28a-3m)
- add patch1001 (for kernel 2.6.25) build fix only

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.28a-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28a-1m)
- update to 3.0.28a

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.28-3m)
- rebuild against openldap-2.4.8
- fix glibc-2.8

* Sat Dec 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28-2m)
- revised hyper links from SWAT top page

* Tue Dec 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.28-1m)
- [SECURITY] CVE-2007-6015
- version up 3.0.28

* Thu Nov 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.27a-1m)
- [SECURITY] CVE-2007-4572 CVE-2007-5398

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.27-1m)
- [SECURITY] CVE-2007-5398
- version up 3.0.27
- add samba-3.0.27-smbfs-mount-regression.patch, this patch will not need 3.0.27a

* Thu Sep 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.26a-1m)
- [SECURITY] CVE-2007-4138
- version up 3.0.26a

* Sat Jun 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.0.25a-3m)
- rebuild against cups-1.2.11-3m for lib64 issue

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.25a-2m)
- modify Requires for mph-get-check

* Sun May 27 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.25a-1m)
- [SECURITY] CVE-2007-2444 CVE-2007-2446 CVE-2007-2447
- version up 3.0.25a
- sync Fedora

* Thu May 10 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.24-1m)
- [SECURITY] CVE-2007-0452 CVE-2007-0454
- version up 3.0.24

* Sat Nov 25 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23d-1m)
- version up 3.0.23d
- remove samba-3.0.20pre1-man.patch

* Wed Sep 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.23c-2m)
- modify Prereq for mph-get-check

* Fri Sep 08 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23c-1m)
- version up 3.0.23c

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.23b-1m)
- version up 3.0.23b

* Tue Jul 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-4m)
- [SECURITY] CVE-2006-3403
- http://www.samba.org/samba/security/CAN-2006-3403.html

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-3m)
- rebuild against readline-5.0

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-2m)
- rebuild against openssl-0.9.8a

* Mon Mar 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-1m)
- update to 3.0.22
- [SECURITY] CVE-2006-1059
- http://us1.samba.org/samba/security/CVE-2006-1059.html

* Sun Jan 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.21a-2m)
- modify CFLAGS to avoid crashing arts with xine-lib-smb (gcc-4.1.0-0.8m)

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.21a-1m)
- upgrade samba-3.0.21a
- sync with fc-devel

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-2m)
- modify smb.conf

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-1m)
- update

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.10-2m)
- revised docdir permission

* Sat Feb 5 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.0.10-1m)
- security fix. http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1154
- import all patches and spec from FC devel

* Mon Nov 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.9-1m)
- minor bug fix release.

* Wed Nov 10 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.8-1m)
- update to 3.0.8
  including security fixes.
  [references]
  http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/bugtraq/2004.11/msg00096.html
  http://us1.samba.org/samba/ftp/WHATSNEW-3-0-8.txt

* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.7-1m)
- update to 3.0.7

* Fri Sep  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.6-1m)
- including security fixes

* Fri Jul 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-2m)
- add International Patch

* Fri Jul 30 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.5-1m)
- verion up (SECURITY FIX)
- See CAN-2004-0600 and CAN-2004-0686

* Tue May 11 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.4-1m)

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.2a-3m)
- revised spec for rpm 4.2.

* Sun Mar  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.2a-2m)
- generate i586 binary if target is i686 (-march=i686 causes internal compiler error on gcc-3.2.3-12m)

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2a-1m)

* Sun Feb 15 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.2-1m)
- Version 3.0.2
- added mount.cifs
- added /usr/bin/tdbdump
- removed testparm patch as it's already merged
- updated logfiles patch
- removed old patch files from repository

* Wed Jan  7 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-5m)
- add some binaries to "%%files common" section
  (smbcquotas, profiles, ntlm_auth and pdbedit)
- remove "%%makeinstall installclientlib" from %%install section
  because "make installclientlib" is included in "make install"

* Fri Jan  2 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-4m)
- fix mount option problem
  see http://www.samba.gr.jp/ml/article/sugj-tech/msg05996.html

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.0-3m)
- rebuild against openldap

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.0-2m)
- remove %%{with_gcc296} macros.
  It is not necessary any longer.(may be...)

* Tue Nov 4 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-1m)
- version 3.0.0
- remove old patches
- add samba-3.0.0-logfiles.patch (rawhide)
- add samba-3.0.0beta1-pipedir.patch (rawhide)
- add samba-3.0.0rc3-nmbd-netbiosname.patch (rawhide)
- add samba-3.0.0rc4-testparm.patch (rawhide)
- modify %%files section and %%install section

* Fri Jul 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-7m)
- update to beta7

* Wed Jul 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.8a-6m)
- include libsmbclient

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-5m)
- update to ja-1.1-beta6
- enable smbwrapper

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-4m)
- update to ja-1.1-beta5
- glab some man pages

* Mon Jul  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-3m)
- update to ja-1.1-beta4

* Thu Jun 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-2m)
- update to ja-1.1-beta3
- revise configure options

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-1m)
- update  to 2.2.8a release
- add %%{?_smp_mflags}

* Thu Apr 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.8a-0.1.2m)
- enable --with-ldapsam and install smbldap-tools when %%{with_ldapsam} == 1.

* Wed Apr  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.8a-0.1.1m)
  update to 2.2.8a-ja-1.0-alpha1

* Tue Apr  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.7a-3m)
- apply security patch from 2.2.8a

* Tue Mar 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.7a-2m)
- update  to 2.2.7a-ja-1.1
  [security]  This release includes secutiry update
  see http://www.samba.gr.jp/ml/samba-jp/htdocs/200303.month/14349.html
- use gcc-3.2.2 by default

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.7a-1m)
  rebuild against openssl 0.9.7a

* Sat Dec 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-5m)
- revise for ppc

* Fri Dec 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-4m)
- only samba-swat requires xinetd

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
-  include_specopt
-  use gcc-2.96 by default.
   if with_gcc296 is defined as 0, use gcc-3.2 instead.

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-2m)
- delete BuildPreReq: gcc2.95.3

* Thu Sep  5 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.5-1m)
- Version up to 2.2.5
- ja 1.0beta3
- samba-2.2.5-lprng.patch (fromrawhide)

* Mon Aug 12 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.4-1m)
- Ver. up
- *.pid is in /var/run/samba
- add samba-2.2.3-smbadduserloc.patch (from rawhide)
- add samba-2.2.4-logname.patch

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-6k)
- '%{initdir}' -> %{_initscriptdir}

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-4k)
- 'chmod -x' docs to avoid suspicious requirements

* Mon Apr 22 2002 Masahiro Takahata <takahata@kondara.org>
- (2.2.2-2k)
- upgrade to 2.2.2-ja-1.1
- separate swat package
- This spec file is rewritten so that
-      it might be based as much as possible on rawhide.

* Fri Nov 30 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-16k)
- update ja-1.2
- fix installing documents

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.10-14k)
- nigittenu

* Mon Nov  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-12k)
- add samba-2.0.10-kernel-2.4.13-fix.patch for building on kernel 2.4.3

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-10k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-8k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-6k)
- errased the process concerning with /etc/service

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Tue Sep 09 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-4k)
- update to samba-2.0.10-ja1.1

* Sat Jul  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-2k)
- update to samba-2.0.10-ja1.0
- disable samba-2.0.7-wildcard.patch

* Thu Jul  5 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.9-8k)
- fix privatedir path /etc to /etc/samba. (Jitterbug #905)

* Tue Jun 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-6k)
- fix path /bin/paswd to /usr/bin/passwd (samba-fixpath.patch)
- delete smbrun.1*

* Mon May 28 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-4k)
- update to samba-2.0.9-ja-1.0
- add BuildPrereq: pam-devel

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-2k)
- update to samba-2.0.9-ja-1.0beta1

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-38k)
- remove %triggerpre
- update samba-2.0.7-ja.2.2

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-36k)
- rebuild by gcc 2.95.3 :-P

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-34k)
- rebuild against openssl 0.9.6.

* Wed Feb  7 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-32k)
- update to samba-2.0.7-ja.2.2b4.
- bugfix %files section.

* Mon Feb  5 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-30k)
- add man-pages of smbumount.

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-29k)
- rebuild againt rpm-3.0.5-39k
- modified samba-fixinit.patch

* Thu Jan 26 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-27k)
- update to 2.0.7-ja-2.2b3.
- remove using-samba and using_samba from docdir.
- be selectable inetd or xinetd. (default is xinetd)
- use logfilename log.smb and log.nmb.
- change dirctory of codepages to /etc/samba/codepages.

* Mon Jan 08 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-25k)
- merge samba-ja to samba

* Fri Dec 01 2000 Kenichi Matsubara <m@kondara.org>
- package name change sambaJP to samba-ja.

* Mon Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- add samba-2.0.7-swat.patch including security fix.

* Mon Nov 04 2000 Toyokazu WATABE <toy2@kondara.org>
- update for 2.0.7_ja_2.1-1k
- use macros.

* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_2.0-1k

* Sun Sep 17 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_1.3-1k

* Tue Sep 05 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000904-1k

* Thu Aug 31 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000828-1k
- add samba-2.0.7-ja-cgi-security.patch
  (patch from samba-2.0.7-ja-1.2 to samba-2.0.7-ja-1.2a)
- adapt to FHS-2.1
- add /usr/sbin/tcpd to configuration of swat in inetd.conf.
- replace samba-2.0.3-fixinit.patch to samba-2.0.7-fixinit.patch

* Thu Aug 17 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-1k
- add Provides samba

* Sun Aug 14 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-0k (2.0.7-ja-1.3 beta release)

* Sun Aug 13 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000807-0k (2.0.7-ja-1.3 beta release)

* Sat Jul 8 2000 TAKAHASHI Motonobu <monyo@samba.gr.jp>
- Added smb-useradd and smb-userdel scripts
- Fixed some Japanese expression
- SWAT is invoked via tcp
- create STATUS..LCK during installation

* Fri Jul 7 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added Japanese manual pages

* Sun May 28 2000 AYUHANA Tomonori <l@kondara.org>
- Obsoletes: samba

* Sat May 27 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "HowToUseSamba" Document
- Update spec file Japanese description.

* Sat May 6 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "i18n SWAT"

* Mon Mar 13 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )
- locale chenged ja_JP.ujis -> ja_JP.eucJP

* Tue Feb  8 2000 Toru Hoshina <t@kondara.org>
- fix alpha problem.

* Tue Jan 25 2000 Takaaki Tabuchi <tab@kondara.org>
- tiny change Version , Source URL.

* Mon Jan 24 2000 Tenkou N. Hattori <tnh@kondara.org>
- kondarize.

*Mon Jan 10 2000 kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J) without smbsh

*Mon Jan 10 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Laser5 Linux 6.0

*Fri Jan 07 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J)

*Mon Nov 12 1999 Motonobu Takahashi <monyo@samba.gr.jp>
- support japanese common names (translated by nakaya)

*Mon Sep 20 1999 Koji Odagiri <odagiri@samba.gr.jp>
- japanize swat (translated by nakaya)

*Mon Sep 20 1999 Satoshi Osawa <osawa@po.fes.co.jp>
- add japanese parts to spec (translated by nakaya)

* Sun Jul 24 1999 Hideya Hane <Vine@flatout.org>
- rebuild for Vine Linux 1.1

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map
